Permalink
Browse files

Added '--with-x11' option.

GS compiles properly with XQuartz. This is needed 
for ghostview.
  • Loading branch information...
1 parent 465b4f7 commit 9383ad437bf333fd5b1887e0a421f4c5e150ee73 @RuiPereira committed Jan 6, 2013
Showing with 4 additions and 1 deletion.
  1. +4 −1 Library/Formula/ghostscript.rb
@@ -13,6 +13,8 @@ class Ghostscript < Formula
head 'git://git.ghostscript.com/ghostpdl.git'
+ option 'with-x11', 'Install with X11 support'
+
if build.head?
depends_on :automake
depends_on :libtool
@@ -24,6 +26,7 @@ class Ghostscript < Formula
depends_on 'jbig2dec'
depends_on 'little-cms2'
depends_on :libpng
+ depends_on :x11 => '2.7.2' if build.include? 'with-x11'
# Fix dylib names, per installation instructions
def patches
@@ -54,8 +57,8 @@ def install
--disable-compile-inits
--disable-gtk
--with-system-libtiff
- --without-x
]
+ args << '--without-x' unless build.include? 'with-x11'
if build.head?
system './autogen.sh', *args

0 comments on commit 9383ad4

Please sign in to comment.